

# Navigate to the LLaVA directory (assuming it's a subdirectory of the current directory)
cd LLaVA

# Set the HF_HOME environment variable and navigate to the workspace/LLaVA directory
export HF_HOME="/workspace"
cd /workspace/LLaVA

# Activate the Python virtual environment
source venv/bin/activate

# Set the CUDA_VISIBLE_DEVICES environment variable
export CUDA_VISIBLE_DEVICES=0,1,2,3

# Start the llava.serve.controller
python -m llava.serve.controller --host 127.0.0.1 --port 10000 &

# Start the llava.serve.gradio_web_server
python -m llava.serve.gradio_web_server --share --controller http://localhost:10000 --model-list-mode reload &

echo
