@echo off
setlocal enabledelayedexpansion

cd LLaVA
call .\venv\Scripts\activate.bat

REM Uncomment the next line if you need to set CUDA_VISIBLE_DEVICES=0
set CUDA_VISIBLE_DEVICES=0

echo Starting model_worker. You will see running port 40000.
echo Don't forget to run all run_pt1.bat run_pt2.bat run_pt3.bat.

echo.
echo Choose an option to continue:
echo 1. 7b Model - Load in 4 bit - 6 GB VRAM
echo 2. 7b Model - Load in 8 bit - 9.2 GB VRAM
echo 3. 7b Model - Load in 16 bit - 14.3 GB VRAM
echo 4. 13b Model - Load in 4 bit - 9.8 GB VRAM
echo 5. 13b Model - Load in 8 bit - 16 GB VRAM
echo 6. 13b Model - Load in 16 bit - 24 GB VRAM
echo 7. 34b Model - Load in 4 bit - 24 GB VRAM
echo 8. 34b Model - Load in 8 bit - 40 GB VRAM
echo 9. 34b Model - Load in 16 bit - 70 GB VRAM
echo.
set /p userOption=Enter option (1-9): 

if "%userOption%"=="1" (
    python -m llava.serve.model_worker --host 127.0.0.1 --controller http://localhost:10000 --port 40000 --worker http://localhost:40000 --model-path liuhaotian/llava-v1.5-7b --load-4bit
) else if "%userOption%"=="2" (
    python -m llava.serve.model_worker --host 127.0.0.1 --controller http://localhost:10000 --port 40000 --worker http://localhost:40000 --model-path liuhaotian/llava-v1.5-7b --load-8bit
) else if "%userOption%"=="3" (
    python -m llava.serve.model_worker --host 127.0.0.1 --controller http://localhost:10000 --port 40000 --worker http://localhost:40000 --model-path liuhaotian/llava-v1.5-7b
) else if "%userOption%"=="4" (
    python -m llava.serve.model_worker --host 127.0.0.1 --controller http://localhost:10000 --port 40000 --worker http://localhost:40000 --model-path liuhaotian/llava-v1.5-13b --load-4bit
) else if "%userOption%"=="5" (
    python -m llava.serve.model_worker --host 127.0.0.1 --controller http://localhost:10000 --port 40000 --worker http://localhost:40000 --model-path liuhaotian/llava-v1.5-13b --load-8bit
) else if "%userOption%"=="6" (
    python -m llava.serve.model_worker --host 127.0.0.1 --controller http://localhost:10000 --port 40000 --worker http://localhost:40000 --model-path liuhaotian/llava-v1.5-13b
) else if "%userOption%"=="7" (
    python -m llava.serve.model_worker --host 127.0.0.1 --controller http://localhost:10000 --port 40000 --worker http://localhost:40000 --model-path liuhaotian/llava-v1.6-34b --load-4bit
) else if "%userOption%"=="8" (
    python -m llava.serve.model_worker --host 127.0.0.1 --controller http://localhost:10000 --port 40000 --worker http://localhost:40000 --model-path liuhaotian/llava-v1.6-34b --load-8bit
) else if "%userOption%"=="9" (
    python -m llava.serve.model_worker --host 127.0.0.1 --controller http://localhost:10000 --port 40000 --worker http://localhost:40000 --model-path liuhaotian/llava-v1.6-34b
) else (
    echo Invalid option. Exiting.
    exit /b
)

echo All started
